Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SystemCategory

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SystemObject
                  oracle.ifs.beans.TieSystemObject
                      oracle.ifs.beans.SystemCategory

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieSystemCategory

    public class SystemCategory

extends TieSystemObject

A SystemCategory class is used to add custom meta-data to SystemObjects on a per instance basis. In addition, System Categories can be added across different SystemObject classes.

SystemCategory subclasses can contain their own custom data, which effectively contain data about the SystemObject with which the Category instance is associated. A SystemObject can be associated with any Category, which allows different sets of data to be associated with instances of the same SystemObject subclass. Additionally, SystemObjects can be associated with multiple instances of Category subclasses.

(Published)

Field Summary
`static java.lang.String` | `ASSOCIATEDSYSTEMOBJECT_ATTRIBUTE` The SystemObject that is associated with this Category.
`static java.lang.String` | `CLASS_NAME` This class name for this class.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session, NAME_ATTRIBUTE`

Constructor Summary
`protected` | `SystemCategory(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a System Category object - standard variant.

Method Summary
`protected static SystemCategory[]` | `constructCategoryArray(LibrarySession sess, java.lang.Long[] ids)` Construct a SystemCategory array from an array of object IDs.
`protected static java.util.Vector` | `constructCategoryVector(LibrarySession sess, java.util.Vector vector)` Returns Category Vector from a Vector of SystemCategory.
`protected static SystemCategory` | `constructSystemCategory(LibrarySession sess, S_LibraryObjectData data)` Returns a SystemCategory object from a SystemCategory data object.
`SystemObject` | `getAssociatedSystemObject()` Gets the SystemObject associated with this Category.

Methods inherited from class oracle.ifs.beans.SystemObject
`addCategory, constructSystemObject, constructSystemObjectVector, free, freeCategories, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, isActive, postCreate, postUpdate, preCreate, preUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, hasNameAttribute, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `SystemCategory`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### ASSOCIATEDSYSTEMOBJECT_ATTRIBUTE

    public static final java.lang.String ASSOCIATEDSYSTEMOBJECT_ATTRIBUTE

  Description copied from class: `SystemCategory`
  The SystemObject that is associated with this Category. This allows different sets of data to be associated with instances of the same SystemObject subclass.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### SystemCategory

    protected SystemCategory(LibrarySession session,
                             java.lang.Long id,
                             java.lang.Long classId,
                             S_LibraryObjectData data)
                      throws IfsException

  Constructs a System Category object - standard variant.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data components
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getAssociatedSystemObject

    public SystemObject getAssociatedSystemObject()
                                           throws IfsException

  Description copied from class: `SystemCategory`
  Gets the SystemObject associated with this Category.

  Returns:
    the SystemObject
  Throws:
    `IfsException` - if operation fails
  (Published)

### constructCategoryVector

    protected static java.util.Vector constructCategoryVector(LibrarySession sess,
                                                              java.util.Vector vector)
                                                       throws IfsException

  Description copied from class: `SystemCategory`
  Returns Category Vector from a Vector of SystemCategory.

  Parameters:
    `sess` - current LibrarySession
    `vector` - Vector of SystemCategory objects.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructSystemCategory

    protected static SystemCategory constructSystemCategory(LibrarySession sess,
                                                            S_LibraryObjectData data)
                                                     throws IfsException

  Description copied from class: `SystemCategory`
  Returns a SystemCategory object from a SystemCategory data object.

  Parameters:
    `sess` - current LibrarySession
    `data` - the object containing SystemCategory data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructCategoryArray

    protected static SystemCategory[] constructCategoryArray(LibrarySession sess,
                                                             java.lang.Long[] ids)
                                                      throws IfsException

  Description copied from class: `SystemCategory`
  Construct a SystemCategory array from an array of object IDs. This will throw an exception if any of the IDs cannot be converted into a Category.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of Categorys
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD